#include<stdio.h>
#include<math.h>
main()
{
	long long p,q,r,L,R,N,j=0;
	float x,y,z;
	scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&L,&R);
	for(N=L;N<=R;N++)
	{
		x=(float)N/p;
		y=(float)N/q;
		z=(float)N/r;
		if(ceil(x)+ceil(y)+ceil(z)<=N) j++;
	}
	printf("%lld",j);
}